oshi.software.os.windows

## Class WindowsOperatingSystem

- java.lang.Object
- - oshi.software.os.windows.WindowsOperatingSystem

- All Implemented Interfaces:
    OperatingSystem

      public class WindowsOperatingSystem
      extends java.lang.Object
      implements OperatingSystem

  Microsoft Windows is a family of proprietary operating systems most commonly used on personal computers.
  Author:
    dblock[at]dblock[dot]org

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsOperatingSystem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()` Operating system family.
    `java.lang.String` | `getManufacturer()` Manufacturer.
    `OperatingSystemVersion` | `getVersion()` Operating system version.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsOperatingSystem

          public WindowsOperatingSystem()

  - ### Method Detail

    - #### getVersion

          public OperatingSystemVersion getVersion()

      Description copied from interface: `OperatingSystem`
      Operating system version.
      Specified by:
        `getVersion` in interface `OperatingSystem`
      Returns:
        Version.

    - #### getFamily

          public java.lang.String getFamily()

      Description copied from interface: `OperatingSystem`
      Operating system family.
      Specified by:
        `getFamily` in interface `OperatingSystem`
      Returns:
        String.

    - #### getManufacturer

          public java.lang.String getManufacturer()

      Description copied from interface: `OperatingSystem`
      Manufacturer.
      Specified by:
        `getManufacturer` in interface `OperatingSystem`
      Returns:
        String.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`